# Class CIM_DiagnosticRecord
extends CIM_RecordForLog

Data related to Diagnostics may be recorded in various DiagnosticRecord objects. The type of information that is recorded in a log is specified via the LogOptions property in DiagnosticSetting.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_RecordForLog
|
+--CIM_DiagnosticRecord

## Direct Known Subclasses

CIM_DiagnosticServiceRecord
CIM_DiagnosticSettingDataRecord
CIM_DiagnosticSettingRecord

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Data related to Diagnostics may be recorded in various DiagnosticRecord objects. The type of information that is recorded in a log is specified via the LogOptions property in DiagnosticSetting.
UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.19.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationTimeStamp | datetime |
Description | string | A timestamp indicating when the record was created.
ExpirationDate | datetime |

Description

string

The date and time that the record instance should be deleted. The expiration datetime SHOULD be set when the record is fully populated with record data. The value SHOULD be calculated using the ResultPersistence property of the DiagnosticSetting class. Once the Expiration Date has been reached, record instances SHOULD be deleted as soon as possible. If a ResultPersistence value is not provided, records MAY be deleted at any time.

ModelCorrespondence | string | CIM_DiagnosticSetting.ResultPersistence
InstanceID | string |

Description

string

Within the scope of the instantiating Namespace, InstanceID opaquely and uniquely identifies an instance of this class. In order to ensure uniqueness within the NameSpace, the value of InstanceID SHOULD be constructed using the following 'preferred' algorithm: <OrgID>:<LocalID> Where <OrgID> and <LocalID> are separated by a colon ':', and where <OrgID> MUST include a copyrighted, trademarked or otherwise unique name that is owned by the business entity creating/defining the InstanceID, or is a registered ID that is assigned to the business entity by a recognized global authority (This is similar to the <Schema Name>_<Class Name> structure of Schema class names.) In addition, to ensure uniqueness <OrgID> MUST NOT contain a colon (':'). When using this algorithm, the first colon to appear in InstanceID MUST appear between <OrgID> and <LocalID>. <LocalID> is chosen by the business entity and SHOULD not be re-used to identify different underlying (real-world) elements. If the above 'preferred' algorithm is not used, the defining entity MUST assure that the resultant InstanceID is not re-used across any InstanceIDs produced by this or other providers for this instance's NameSpace. For DMTF defined instances, the 'preferred' algorithm MUST be used with the <OrgID> set to 'CIM'.

Key | boolean | true
Override | string | InstanceID
ManagedElementName | string |
Description | string | This property SHOULD reflect the value of the underlying ManagedElement.ElementName property.
ModelCorrespondence | string | CIM_ManagedElement.ElementName
Required | boolean | true
OtherRecordTypeDescription | string |
Description | string | When "Other" (value=1) is entered in the RecordType property, OtherRecordTypeDescription can be used to describe the message type.
ModelCorrespondence | string | CIM_DiagnosticSetting.OtherLogOptionsDescriptions, CIM_DiagnosticRecord.RecordType
RecordType | uint16 |
Description | string | The RecordType property specifies the nature of the data being entered into the ServiceRecord. The value in this property should match one of the values indicated by the DiagnosticSetting.LogOptions property. A brief summary of the various log options can be found in CIM_DiagnosticSetting.LogOptions.
ModelCorrespondence | string | CIM_DiagnosticSetting.LogOptions, CIM_DiagnosticRecord.OtherRecordTypeDescription
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14
Values | string | Unknown, Other, Results, Subtests, Actions, Warnings, Status, Device Errors, Service Errors, Setting Data, Statistics, Hardware Configuration, Software Configuration, References, Debug
ServiceName | string |
Description | string | This property should reflect the value of the underlying DiagnosticService.Name property.
ModelCorrespondence | string | CIM_DiagnosticService.Name
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Locale | string | CIM_RecordForLog
PerceivedSeverity | uint16 | CIM_RecordForLog
RecordData | string | CIM_RecordForLog
RecordFormat | string | CIM_RecordForLog

## Class Methods